"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@hint/utils");
const schema_validator_1 = require("@hint/utils/dist/src/schema-validation/schema-validator");
const debug = utils_1.debug(__filename);
const schema = require('./config-schema.json');
exports.validateConfig = (config) => {
    debug('Validating configuration');
    const validateInfo = schema_validator_1.validate(schema, config);
    if (!validateInfo.valid) {
        utils_1.logger.error('Configuration schema is not valid:');
        validateInfo.groupedErrors.forEach((error) => {
            utils_1.logger.error(` - ${error.message}`);
        });
        return false;
    }
    return true;
};
